.button-new-activate {
  border-radius: rem(8px);
  height: calc(100vh - 48px);
  margin-top: 3rem;
  &__content {
    height: auto;
    height: 100%;
    min-height: auto;
    border: none;
    padding: 0;
    width: 100%;
    max-width: rem(500px);
    background: none;
    border-top: none;
    border-radius: 0 0 .5rem .5rem;
    margin-right: auto;
    margin-left: auto;
    position: relative;
    z-index: 50;
    &:focus {
      outline: none;
    }
  }
  &__activate-button-border {
    padding: 0.3125rem;
    border: 3px solid $primary;
    position: absolute;
    z-index: 50;
    width: 9.375rem;
    height: 9.375rem;
    border-radius: 9.375rem;
    box-sizing: border-box;
    opacity: 0;
    animation-name: start-ring;
    animation-delay: 3.5s;
    animation-duration: 3.5s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    left: calc((100% - 150px) / 2);
  }
  &__content-scroll {
    background: none;
    border: none;
    padding: 0;
    width: 100%;
    &:focus {
      outline: none;
    }
  }
  &__close-container {
    height: 100%;
    position: absolute;
    top: -5vh;
    z-index: 1;
    width: 100%;
    border: none;
    background: none;
    padding: 0;
  }

}

@media screen and (min-width: 992px) {
  .button-new-activate {
    margin-top: 3rem;
    margin-left: auto;
    margin-right: auto;
    height: calc(90vh - 48px);
    max-height: calc(700px - 48px);
    &__content {
      overflow-y: auto;
      border: 1px solid #fff;
      height: auto;
      border-top: none;
    }
    &__content-has-scroll {
      margin-left: calc((100vw - 500px) / 2);
      display: block;
    }

  }
}


@keyframes start-ring {
    0% {
        opacity: 0;
        transform: scale(1)
    }

    12.5% {
        opacity: 0;
        transform: scale(.995)
    }

    16.667% {
        opacity: 1
    }

    50% {
        opacity: 0;
        transform: scale(1.3)
    }
}
